Bug 250878 - build error in rawhide 20070803.
build error in rawhide 20070803.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-03 20:28 EDT by sangu
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: glibc-2.6.90-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-06 09:20:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2007-08-03 20:28:08 EDT
Description of problem:
$ rpmbuild --rebuild freetype-2.3.5-2.fc8.src.rpm
[...]
config.status: creating freetype2.pc
config.status: creating ftconfig.h
make: Nothing to be done for `unix'.
+ sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g'
builds/unix/libtool
+ sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g'
builds/unix/libtool
+ make -j2
./builds/unix/libtool --mode=compile gcc -pedantic -ansi 
-I/usr/src/redhat/BUILD/freetype-2.3.5/objs -I./builds/unix
-I/usr/src/redhat/BUILD/freetype-2.3.5/include -c -Wall -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables
-DFT_CONFIG_OPTION_SYSTEM_ZLIB -DFT_CONFIG_CONFIG_H="<ftconfig.h>"
-DFT2_BUILD_LIBRARY -DFT_CONFIG_MODULES_H="<ftmodule.h>"  -o
/usr/src/redhat/BUILD/freetype-2.3.5/objs/ftsystem.lo builds/unix/ftsystem.c
./builds/unix/libtool --mode=compile gcc -pedantic -ansi 
-I/usr/src/redhat/BUILD/freetype-2.3.5/objs -I./builds/unix
-I/usr/src/redhat/BUILD/freetype-2.3.5/include -c -Wall -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables
-DFT_CONFIG_OPTION_SYSTEM_ZLIB -DFT_CONFIG_CONFIG_H="<ftconfig.h>"
-DFT2_BUILD_LIBRARY -DFT_CONFIG_MODULES_H="<ftmodule.h>"  -o
/usr/src/redhat/BUILD/freetype-2.3.5/objs/ftdebug.lo
/usr/src/redhat/BUILD/freetype-2.3.5/src/base/ftdebug.c
mkdir /usr/src/redhat/BUILD/freetype-2.3.5/objs/.libs
 gcc -pedantic -ansi -I/usr/src/redhat/BUILD/freetype-2.3.5/objs -I./builds/unix
-I/usr/src/redhat/BUILD/freetype-2.3.5/include -c -Wall -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables
-DFT_CONFIG_OPTION_SYSTEM_ZLIB "-DFT_CONFIG_CONFIG_H=<ftconfig.h>"
-DFT2_BUILD_LIBRARY "-DFT_CONFIG_MODULES_H=<ftmodule.h>"
/usr/src/redhat/BUILD/freetype-2.3.5/src/base/ftdebug.c  -fPIC -DPIC -o
/usr/src/redhat/BUILD/freetype-2.3.5/objs/.libs/ftdebug.o
 gcc -pedantic -ansi -I/usr/src/redhat/BUILD/freetype-2.3.5/objs -I./builds/unix
-I/usr/src/redhat/BUILD/freetype-2.3.5/include -c -Wall -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables
-DFT_CONFIG_OPTION_SYSTEM_ZLIB "-DFT_CONFIG_CONFIG_H=<ftconfig.h>"
-DFT2_BUILD_LIBRARY "-DFT_CONFIG_MODULES_H=<ftmodule.h>" builds/unix/ftsystem.c
 -fPIC -DPIC -o /usr/src/redhat/BUILD/freetype-2.3.5/objs/.libs/ftsystem.o
./builds/unix/libtool --mode=compile gcc -pedantic -ansi 
-I/usr/src/redhat/BUILD/freetype-2.3.5/objs -I./builds/unix
-I/usr/src/redhat/BUILD/freetype-2.3.5/include -c -Wall -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables
-DFT_CONFIG_OPTION_SYSTEM_ZLIB -DFT_CONFIG_CONFIG_H="<ftconfig.h>"
-DFT2_BUILD_LIBRARY -DFT_CONFIG_MODULES_H="<ftmodule.h>"  -o
/usr/src/redhat/BUILD/freetype-2.3.5/objs/ftinit.lo
/usr/src/redhat/BUILD/freetype-2.3.5/src/base/ftinit.c
builds/unix/ftsystem.c: In function 'FT_Stream_Open':
builds/unix/ftsystem.c:241: warning: ISO C forbids empty initializer braces
builds/unix/ftsystem.c:241: error: zero or negative size array '___arr'
builds/unix/ftsystem.c:241: warning: ISO C forbids zero-size array
'__open_too_many_args'
builds/unix/ftsystem.c:241: warning: ISO C forbids braced-groups within expressions
make: *** [/usr/src/redhat/BUILD/freetype-2.3.5/objs/ftsystem.lo] Error 1
make: *** Waiting for unfinished jobs....
 gcc -pedantic -ansi -I/usr/src/redhat/BUILD/freetype-2.3.5/objs -I./builds/unix
-I/usr/src/redhat/BUILD/freetype-2.3.5/include -c -Wall -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables
-DFT_CONFIG_OPTION_SYSTEM_ZLIB "-DFT_CONFIG_CONFIG_H=<ftconfig.h>"
-DFT2_BUILD_LIBRARY "-DFT_CONFIG_MODULES_H=<ftmodule.h>"
/usr/src/redhat/BUILD/freetype-2.3.5/src/base/ftinit.c  -fPIC -DPIC -o
/usr/src/redhat/BUILD/freetype-2.3.5/objs/.libs/ftinit.o
error: Bad exit status from /var/tmp/rpm-tmp.17567 (%build)



Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. $rpmbuild --rebuild freetype-2.3.5-2.fc8.src.rpm
2.
3.
  
Actual results:


Expected results:


Additional info:
gcc-4.1.2-17
libstdc++-4.1.2-17
glibc-2.6.90-2

Note You need to log in before you can comment on or make changes to this bug.